Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 935d80e8aeca488e9aba70d675891ad34ebd49a7)
+++ chapter01/changelog.xml	(revision 09a046771f05356697bf6e4872216aa2f8b1acc5)
@@ -56,4 +56,34 @@
 
     <listitem>
+      <para>2019-06-16</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.51.0. Fixes
+          <ulink url="&lfs-ticket-root;4483">#4483</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gawk-5.0.1. Fixes
+          <ulink url="&lfs-ticket-root;4486">#4486</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.2.7. Fixes
+          <ulink url="&lfs-ticket-root;4488">#4488</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.1.15. Fixes
+          <ulink url="&lfs-ticket-root;4487">#4487</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to sysvinit-2.95. Fixes
+          <ulink url="&lfs-ticket-root;4484">#4484</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bzip2-1.0.7. Fixes
+          <ulink url="&lfs-ticket-root;4490">#4490</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2019-06-18</para>
       <itemizedlist>
@@ -81,5 +111,5 @@
           <ulink url="&lfs-ticket-root;4478">#4478</ulink>.</para>
         </listitem>
-        <listitem revision="sysv">
+        <listitem>
           <para>[bdubbs] - Update to less-551. Fixes
           <ulink url="&lfs-ticket-root;4477">#4477</ulink>.</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 935d80e8aeca488e9aba70d675891ad34ebd49a7)
+++ chapter01/whatsnew.xml	(revision 09a046771f05356697bf6e4872216aa2f8b1acc5)
@@ -51,7 +51,7 @@
       <para>Bison-&bison-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Bzip2-&bzip2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Check-&check-version;</para>
@@ -75,7 +75,7 @@
       <para>Eudev-&eudev-version;</para>
    </listitem>
-   <!--<listitem>
+   <listitem>
       <para>Expat-&expat-version;</para>
-   </listitem>-->
+   </listitem>
    <!-- <listitem>
       <para>Expect-&expect-version;</para>
Index: general.ent
===================================================================
--- general.ent	(revision 935d80e8aeca488e9aba70d675891ad34ebd49a7)
+++ general.ent	(revision 09a046771f05356697bf6e4872216aa2f8b1acc5)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20190624">
+<!ENTITY version         "SVN-20190629">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20190624-systemd">
+<!ENTITY versiond        "20190629-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "June 24, 2019">
+<!ENTITY releasedate     "June 29, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 935d80e8aeca488e9aba70d675891ad34ebd49a7)
+++ packages.ent	(revision 09a046771f05356697bf6e4872216aa2f8b1acc5)
@@ -81,8 +81,8 @@
 <!ENTITY bison-ch6-sbu "0.3 SBU">
 
-<!ENTITY bzip2-version "1.0.6">
-<!ENTITY bzip2-size "764 KB">
+<!ENTITY bzip2-version "1.0.7">
+<!ENTITY bzip2-size "791 KB">
 <!ENTITY bzip2-url "https://www.sourceware.org/pub/bzip2/bzip2-&bzip2-version;.tar.gz">
-<!ENTITY bzip2-md5 "00b516f4704d4a7cb50a1d97e6e8e15b">
+<!ENTITY bzip2-md5 "1a6a61cc867be4f3d6549037a09bf13e">
 <!--<!ENTITY bzip2-home "http://www.bzip.org/">-->
 <!ENTITY bzip2-ch5-du "5.5 MB">
@@ -168,8 +168,8 @@
 <!ENTITY eudev-ch6-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.2.6">
-<!ENTITY expat-size "502 KB">
+<!ENTITY expat-version "2.2.7">
+<!ENTITY expat-size "513 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.bz2">
-<!ENTITY expat-md5 "ca047ae951b40020ac831c28859161b2">
+<!ENTITY expat-md5 "72f36b87cdb478aba1e78473393766aa">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-ch6-du "11 MB">
@@ -213,8 +213,8 @@
 <!ENTITY flex-ch6-sbu "0.4 SBU">
 
-<!ENTITY gawk-version "5.0.0">
-<!ENTITY gawk-size "2,931 KB">
+<!ENTITY gawk-version "5.0.1">
+<!ENTITY gawk-size "3,063 KB">
 <!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.xz">
-<!ENTITY gawk-md5 "129d061e362778cad070d1bbfe2b1183">
+<!ENTITY gawk-md5 "f9db3f6715207c6f13719713abc9c707">
 <!ENTITY gawk-home "&gnu-software;gawk/">
 <!ENTITY gawk-ch5-du "43 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "1">
-<!ENTITY linux-patch-version "11">
+<!ENTITY linux-patch-version "15">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "103,772 KB">
+<!ENTITY linux-size "103,784 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "4f1eda4b7f6a4a6e2d66563cba307ce8">
+<!ENTITY linux-md5 "373a50ac09f662469fe1c699b2cb2520">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -478,8 +478,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.50.1">
-<!ENTITY meson-size "1,370 KB">
+<!ENTITY meson-version "0.51.0">
+<!ENTITY meson-size "1,416 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "24a6527796115828d2ebc75880e18d62">
+<!ENTITY meson-md5 "a091995861e0bc23e3c856b0c8d1ef90">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-ch6-du "24 MB">
@@ -639,8 +639,8 @@
 <!ENTITY systemd-ch6-sbu  "2.4 SBU">
 
-<!ENTITY sysvinit-version "2.94">
-<!ENTITY sysvinit-size "119 KB">
+<!ENTITY sysvinit-version "2.95">
+<!ENTITY sysvinit-size "122 KB">
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "885ae742d51dbae8d16f535455c0240a">
+<!ENTITY sysvinit-md5 "66f488c952c70ff4245774fc7e87e529">
 <!ENTITY sysvinit-home "https://savannah.nongnu.org/projects/sysvinit">
 <!ENTITY sysvinit-ch6-du "1.3 MB">
Index: patches.ent
===================================================================
--- patches.ent	(revision 935d80e8aeca488e9aba70d675891ad34ebd49a7)
+++ patches.ent	(revision 09a046771f05356697bf6e4872216aa2f8b1acc5)
@@ -54,5 +54,5 @@
 <!ENTITY ninja-limit-jobs-patch-size "2.5 KB">
 -->
-<!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-4.patch">
+<!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
 <!ENTITY sysvinit-consolidated-patch-md5 "4900322141d493e74020c9cf437b2cdc">
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
